# Задача: написать ф-цию any_duplicates, которая принимает двумерный массив размера 3х3 (9 элементов).
# Двумерный массив заполнен числами от 1 до 9.
# Ф-ция должна вернуть False, если в массиве все числа от 1 до 9 встречаются ровно один раз.
# В противном случае True.

# Разложим двумерный массив в одномерный. Двумерный массив представляет собой список списков.
# У нас состоящий из двух списков Для того чтобы это сделать нужно создать list


def any_duplicates(s):
    sudoky = [i for x in s for i in x]
    return print(sorted(sudoky) != [1, 2, 3, 4, 5, 6, 7, 8, 9])
#   return print('True') if any([x for x in sudoky if sudoky.count(x) != 1]) else print('False')

any_duplicates([[1, 3, 2], [9, 7, 8], [4, 5, 6]])
any_duplicates([[8, 9, 2], [5, 6, 1], [3, 7, 4]])
any_duplicates([[1, 1, 3], [6, 5, 4], [8, 7, 9]])
any_duplicates([[1, 2, 3], [3, 4, 5], [9, 8, 7]])
